Subject: Re: bug#67532: “make check” requires network

From: Simon Tournier <[email-masked]>
Date: Tue, 19 Dec 2023 09:50:21 +0100

Hi Ludo,

This bug report is independent with the recommendation for building
Guix.  I consider this current behaviour as a bug:  Network on,

    guix shell <whatever-options> -D guix
    ./bootstrap
    ./configure    

then network off,
    
    make check

fails.  I do not mind if the data (pre-seed the store) has to be
downloaded at “guix shell -D guix” step, or at ./bootstrap step or at
./configure step.

It would be better to have all the requirements downloaded with “guix
shell -D guix” though.  Well, it was that my expectation just before
preparing my offline day. :-)

On Mon, 11 Dec 2023 at 22:42, Ludovic Courtès <[email-masked]> wrote:

> So I propose:
>
> diff --git a/doc/contributing.texi b/doc/contributing.texi
> index 0833b5d32c..0072e5d42d 100644
> --- a/doc/contributing.texi
> +++ b/doc/contributing.texi
> @@ -76,13 +76,13 @@ Building from Git
>  hack on Guix:
>  
>  @example
> -guix shell -D guix -CPW
> +guix shell -D guix -CPWN
>  @end example

Therefore, this is not a fix for this bug #67532, IMHO.

Maybe for bug#66537 (see below).

> (And not going back to ‘--pure’ because as we know it depends too much
> of the goodwill of the user’s shell.)

Well, let discuss that as an answer of,

        bug#66537: [PATCH] doc: Recommend building in ‘guix shell -CPW’.
        Simon Tournier <[email-masked]>
        Fri, 08 Dec 2023 16:50:09 +0100
        id:[email-masked]
        https://issues.guix.gnu.org/66537
        https://issues.guix.gnu.org/msgid/[email-masked]
        https://yhetil.org/guix/[email-masked]

Cheers,
simon